KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME

kubeadm init phase kubeconfig - Generate all kubeconfig files necessary to establish the control plane and the admin kubeconfig file

SYNOPSIS

kubeadm init phase kubeconfig [OPTIONS]

DESCRIPTION

Generate all kubeconfig files necessary to establish the control plane and the admin kubeconfig file

OPTIONS INHERITED FROM PARENT COMMANDS

--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

SEE ALSO

kubeadm-init-phase(1), kubeadm-init-phase-kubeconfig-admin(1), kubeadm-init-phase-kubeconfig-all(1), kubeadm-init-phase-kubeconfig-controller-manager(1), kubeadm-init-phase-kubeconfig-kubelet(1), kubeadm-init-phase-kubeconfig-scheduler(1), kubeadm-init-phase-kubeconfig-super-admin(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!